# Serialized Form

## Package javax.servlet

### Class javax.servlet.GenericServlet extends java.lang.Object implements Serializable

### Class javax.servlet.ServletContextAttributeEvent extends ServletContextEvent implements Serializable

### Serialized Fields

#### name

    java.lang.String name

#### value

    java.lang.Object value

### Class javax.servlet.ServletContextEvent extends java.util.EventObject implements Serializable

### Class javax.servlet.ServletException extends java.lang.Exception implements Serializable

### Class javax.servlet.ServletRequestAttributeEvent extends ServletRequestEvent implements Serializable

### Serialized Fields

#### name

    java.lang.String name

#### value

    java.lang.Object value

### Class javax.servlet.ServletRequestEvent extends java.util.EventObject implements Serializable

### Serialized Fields

#### request

    ServletRequest request

### Class javax.servlet.UnavailableException extends ServletException implements Serializable

### Serialized Fields

#### servlet

    Servlet servlet

#### permanent

    boolean permanent

#### seconds

    int seconds

## Package javax.servlet.http

### Class javax.servlet.http.HttpServlet extends GenericServlet implements Serializable

### Class javax.servlet.http.HttpSessionBindingEvent extends HttpSessionEvent implements Serializable

### Serialized Fields

#### name

    java.lang.String name

#### value

    java.lang.Object value

### Class javax.servlet.http.HttpSessionEvent extends java.util.EventObject implements Serializable

## Package javax.servlet.jsp

### Class javax.servlet.jsp.JspException extends java.lang.Exception implements Serializable

### Class javax.servlet.jsp.JspTagException extends JspException implements Serializable

### Class javax.servlet.jsp.SkipPageException extends JspException implements Serializable

## Package javax.servlet.jsp.el

### Class javax.servlet.jsp.el.ELException extends java.lang.Exception implements Serializable

### Serialized Fields

#### mRootCause

    java.lang.Throwable mRootCause

Deprecated.

### Class javax.servlet.jsp.el.ELParseException extends ELException implements Serializable

## Package javax.servlet.jsp.tagext

### Class javax.servlet.jsp.tagext.BodyTagSupport extends TagSupport implements Serializable

### Serialized Fields

#### bodyContent

    BodyContent bodyContent

The current BodyContent for this BodyTag.

### Class javax.servlet.jsp.tagext.TagSupport extends java.lang.Object implements Serializable

### Serialized Fields

#### parent

    Tag parent

#### values

    java.util.Hashtable<K,V> values

#### id

    java.lang.String id

The value of the id attribute of this tag; or null.

#### pageContext

    PageContext pageContext

The PageContext.